perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: [mp2] failing getppid test with 5.8.0
Date Fri, 07 Nov 2003 09:24:34 GMT
Rafael Garcia-Suarez wrote:
> Stas Bekman wrote:
> 
>>Scott gets the getppid test failing with mp2-cvs/5.8.0 but I can't reproduce 
>>it. I think this is because RH ships a fake 5.8.0. It says MAINT18379 which 
>>dates 27 Dec 2002 (5 months after 5.8.0 was released)
>>http://public.activestate.com/cgi-bin/perlbrowse?patch=18379
>>This problem shouldn't have happened since ppid caching was introduced in 5.8.1.
> 
> 
> At some point we can't support all broken perls vendors ship.

But this brings us an important precedence of why PATCH_LEVEL needs to be 
exposed. I've posted a reminder to p5p to get this define exposed. (Gisle has 
posted the code already(

>>Scott, this patch will most likely make the error go away. Please confirm that 
>>it does.
> 
> 
> However THREADS_HAVE_PIDS doesn't exist in 5.8.0 so the patch below is safe
> to be applied, I believe. (although PERL_SUBVERSION >= 0 is always true, so the #if
> can be further simplified to #if PERL_VERSION >= 8)

Thanks Rafael, I've simplified it even further ;)

#if PERL_REVISION == 5 && PERL_VERSION >= 8 && THREADS_HAVE_PIDS
#define MP_MAINTAIN_PPID
#endif


__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message